#

Function SIMPLE-STRING-P

Syntax:

simple-string-p object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type simple-string; otherwise, returns false.

Examples:

     (simple-string-p "aaaaaa") =>  true
     (simple-string-p (make-array 6
                                  :element-type 'character
                                  :fill-pointer t)) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (simple-string-p object) ==  (typep object 'simple-string)

Copyright 1996-2001, Xanalys Inc. All rights reserved.